# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve Class Reference

`#include <PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve ()
| PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve (const Handle(PGeom_BezierCurve)&aValue)
void | SetValue (const Handle(PGeom_BezierCurve)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PGeom_BezierCurve | myValue

## Constructor & Destructor Documentation

PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve::PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve | ( |  | ) |

PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve::PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve | ( | const Handle(PGeom_BezierCurve)& | aValue | ) |

## Member Function Documentation

void PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve::SetValue | ( | const Handle(PGeom_BezierCurve)& | aValue | ) |

Standard_Address PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_BezierCurve PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve::myValue `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayTNodeOfFieldOfHArray1OfBezierCurve.hxx